Publish a product
curl --request POST \
--url https://api.quiva.ai/accounts/distribution-product \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"name": "<string>",
"record_configs": [
{
"id": "<string>",
"label": "<string>"
}
],
"actions": {},
"type": "<string>",
"active": true,
"sla_business_days": 123,
"entity_config": {},
"filing": {},
"change_request": {},
"distributor_front_page_layouts": "<unknown>",
"version": 123,
"publisher_account_id": "<string>",
"published_at": "<string>"
}
'import requests
url = "https://api.quiva.ai/accounts/distribution-product"
payload = {
"code": "<string>",
"name": "<string>",
"record_configs": [
{
"id": "<string>",
"label": "<string>"
}
],
"actions": {},
"type": "<string>",
"active": True,
"sla_business_days": 123,
"entity_config": {},
"filing": {},
"change_request": {},
"distributor_front_page_layouts": "<unknown>",
"version": 123,
"publisher_account_id": "<string>",
"published_at": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
name: '<string>',
record_configs: [{id: '<string>', label: '<string>'}],
actions: {},
type: '<string>',
active: true,
sla_business_days: 123,
entity_config: {},
filing: {},
change_request: {},
distributor_front_page_layouts: '<unknown>',
version: 123,
publisher_account_id: '<string>',
published_at: '<string>'
})
};
fetch('https://api.quiva.ai/accounts/distribution-product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/distribution-product",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>',
'name' => '<string>',
'record_configs' => [
[
'id' => '<string>',
'label' => '<string>'
]
],
'actions' => [
],
'type' => '<string>',
'active' => true,
'sla_business_days' => 123,
'entity_config' => [
],
'filing' => [
],
'change_request' => [
],
'distributor_front_page_layouts' => '<unknown>',
'version' => 123,
'publisher_account_id' => '<string>',
'published_at' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/distribution-product"
payload := strings.NewReader("{\n \"code\": \"<string>\",\n \"name\": \"<string>\",\n \"record_configs\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"actions\": {},\n \"type\": \"<string>\",\n \"active\": true,\n \"sla_business_days\": 123,\n \"entity_config\": {},\n \"filing\": {},\n \"change_request\": {},\n \"distributor_front_page_layouts\": \"<unknown>\",\n \"version\": 123,\n \"publisher_account_id\": \"<string>\",\n \"published_at\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/accounts/distribution-product")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"<string>\",\n \"name\": \"<string>\",\n \"record_configs\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"actions\": {},\n \"type\": \"<string>\",\n \"active\": true,\n \"sla_business_days\": 123,\n \"entity_config\": {},\n \"filing\": {},\n \"change_request\": {},\n \"distributor_front_page_layouts\": \"<unknown>\",\n \"version\": 123,\n \"publisher_account_id\": \"<string>\",\n \"published_at\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/distribution-product")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"<string>\",\n \"name\": \"<string>\",\n \"record_configs\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"actions\": {},\n \"type\": \"<string>\",\n \"active\": true,\n \"sla_business_days\": 123,\n \"entity_config\": {},\n \"filing\": {},\n \"change_request\": {},\n \"distributor_front_page_layouts\": \"<unknown>\",\n \"version\": 123,\n \"publisher_account_id\": \"<string>\",\n \"published_at\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"code": "<string>",
"version": 123,
"product": {
"code": "<string>",
"name": "<string>",
"record_configs": [
{
"id": "<string>",
"label": "<string>"
}
],
"actions": {},
"type": "<string>",
"active": true,
"sla_business_days": 123,
"entity_config": {},
"filing": {},
"change_request": {},
"distributor_front_page_layouts": "<unknown>",
"version": 123,
"publisher_account_id": "<string>",
"published_at": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"data": {
"status": "<string>",
"refusal_code": "<string>",
"detail": "<string>"
}
}Distribution Products
Publish a product
Publishes version 1 of a product: its record sets and its actions. Refused with 409 when the code is already published. Root and admin roles only.
POST
/
accounts
/
distribution-product
Publish a product
curl --request POST \
--url https://api.quiva.ai/accounts/distribution-product \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"name": "<string>",
"record_configs": [
{
"id": "<string>",
"label": "<string>"
}
],
"actions": {},
"type": "<string>",
"active": true,
"sla_business_days": 123,
"entity_config": {},
"filing": {},
"change_request": {},
"distributor_front_page_layouts": "<unknown>",
"version": 123,
"publisher_account_id": "<string>",
"published_at": "<string>"
}
'import requests
url = "https://api.quiva.ai/accounts/distribution-product"
payload = {
"code": "<string>",
"name": "<string>",
"record_configs": [
{
"id": "<string>",
"label": "<string>"
}
],
"actions": {},
"type": "<string>",
"active": True,
"sla_business_days": 123,
"entity_config": {},
"filing": {},
"change_request": {},
"distributor_front_page_layouts": "<unknown>",
"version": 123,
"publisher_account_id": "<string>",
"published_at": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
name: '<string>',
record_configs: [{id: '<string>', label: '<string>'}],
actions: {},
type: '<string>',
active: true,
sla_business_days: 123,
entity_config: {},
filing: {},
change_request: {},
distributor_front_page_layouts: '<unknown>',
version: 123,
publisher_account_id: '<string>',
published_at: '<string>'
})
};
fetch('https://api.quiva.ai/accounts/distribution-product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/distribution-product",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>',
'name' => '<string>',
'record_configs' => [
[
'id' => '<string>',
'label' => '<string>'
]
],
'actions' => [
],
'type' => '<string>',
'active' => true,
'sla_business_days' => 123,
'entity_config' => [
],
'filing' => [
],
'change_request' => [
],
'distributor_front_page_layouts' => '<unknown>',
'version' => 123,
'publisher_account_id' => '<string>',
'published_at' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/distribution-product"
payload := strings.NewReader("{\n \"code\": \"<string>\",\n \"name\": \"<string>\",\n \"record_configs\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"actions\": {},\n \"type\": \"<string>\",\n \"active\": true,\n \"sla_business_days\": 123,\n \"entity_config\": {},\n \"filing\": {},\n \"change_request\": {},\n \"distributor_front_page_layouts\": \"<unknown>\",\n \"version\": 123,\n \"publisher_account_id\": \"<string>\",\n \"published_at\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/accounts/distribution-product")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"<string>\",\n \"name\": \"<string>\",\n \"record_configs\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"actions\": {},\n \"type\": \"<string>\",\n \"active\": true,\n \"sla_business_days\": 123,\n \"entity_config\": {},\n \"filing\": {},\n \"change_request\": {},\n \"distributor_front_page_layouts\": \"<unknown>\",\n \"version\": 123,\n \"publisher_account_id\": \"<string>\",\n \"published_at\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/distribution-product")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"<string>\",\n \"name\": \"<string>\",\n \"record_configs\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"actions\": {},\n \"type\": \"<string>\",\n \"active\": true,\n \"sla_business_days\": 123,\n \"entity_config\": {},\n \"filing\": {},\n \"change_request\": {},\n \"distributor_front_page_layouts\": \"<unknown>\",\n \"version\": 123,\n \"publisher_account_id\": \"<string>\",\n \"published_at\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"code": "<string>",
"version": 123,
"product": {
"code": "<string>",
"name": "<string>",
"record_configs": [
{
"id": "<string>",
"label": "<string>"
}
],
"actions": {},
"type": "<string>",
"active": true,
"sla_business_days": 123,
"entity_config": {},
"filing": {},
"change_request": {},
"distributor_front_page_layouts": "<unknown>",
"version": 123,
"publisher_account_id": "<string>",
"published_at": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"data": {
"status": "<string>",
"refusal_code": "<string>",
"detail": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
Body
application/json
The whole product definition. A version is the definition as it stood; nothing is merged.
A product: its record sets and the actions around them.